(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     59221,       1488]
NotebookOptionsPosition[     57483,       1438]
NotebookOutlinePosition[     57818,       1453]
CellTagsIndexPosition[     57775,       1450]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Read data files.", "Text",
 CellChangeTimes->{
  3.5169847852517138`*^9, {3.517167160775105*^9, 3.517167171531702*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"<<", "PATH/sexticSolve31.txt"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "PATH/B1K.txt"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"<<", "PATH/B2K.txt"}], ";"}]}], "Input",
 CellChangeTimes->{{3.416063398601757*^9, 3.416063413382359*^9}, {
   3.416064183192573*^9, 3.416064184861434*^9}, {3.416421461415723*^9, 
   3.416421468183548*^9}, {3.41642153536567*^9, 3.416421536446212*^9}, {
   3.4166861990625687`*^9, 3.416686217285942*^9}, {3.417108088182159*^9, 
   3.4171081196049347`*^9}, 3.4175408359547443`*^9, 3.5166345149529257`*^9, 
   3.517165346931945*^9, {3.517167116853462*^9, 3.517167130437627*^9}}],

Cell["Set-up", "Text",
 CellChangeTimes->{3.5169847852517138`*^9},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"funcEval", "[", 
     RowBox[{"F_", ",", "x_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "z", "}"}], ",", 
      RowBox[{
       RowBox[{"z", "=", "x"}], ";", "\[IndentingNewLine]", 
       RowBox[{"F", "/.", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"z", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
           RowBox[{"y", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}]}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"diff", "[", 
     RowBox[{"F_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "y", "}"}], ",", 
      RowBox[{
       RowBox[{"y", "=", "x"}], ";", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"F", ",", 
           RowBox[{"y", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cross", "[", 
     RowBox[{"f_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"diff", "[", 
     RowBox[{
      RowBox[{"Det", "[", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"jacob", "[", 
          RowBox[{"f", ",", "x"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"U", "[", "i", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}], "]"}], 
       "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"U", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"jacob", "[", 
     RowBox[{"f_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "y", "}"}], ",", 
      RowBox[{
       RowBox[{"y", "=", "x"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"y", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "f", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"hess", "[", 
     RowBox[{"F_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"F", ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"x", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "x", "]"}]}], "}"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"bordHess", "[", 
     RowBox[{"F_", ",", "G_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"hess", "[", 
           RowBox[{"F", ",", "x"}], "]"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"G", ",", 
             RowBox[{"x", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}], "]"}], 
       "]"}], ",", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{"G", ",", 
            RowBox[{"x", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}], ",", "0"}], 
       "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", "1", "]"}], "[", "x_", "]"}], ":=", 
  RowBox[{"x", "/", 
   RowBox[{"x", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", "2", "]"}], "[", "x_", "]"}], " ", ":=", 
  RowBox[{"x", "/", 
   RowBox[{"x", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"norm", "[", "3", "]"}], "[", "x_", "]"}], " ", ":=", 
   RowBox[{"x", "/", 
    RowBox[{"x", "[", 
     RowBox[{"[", "3", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wVec", "=", 
    RowBox[{"{", 
     RowBox[{"w1", ",", "w2", ",", "w3"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"iterPrecision", "=", "200"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"sp", "[", "x_", "]"}], ":=", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"x", ",", "iterPrecision"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"numIterNorm", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", "m_", ",", " ", "n_"}], "]"}], " ", ":=",
    "\n", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"Composition", "[", 
       RowBox[{
        RowBox[{"norm", "[", "m", "]"}], ",", " ", "f"}], "]"}], ",", " ", 
      "x", ",", " ", "n"}], "]"}], "//", "sp"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.416658816387265*^9, 3.416658822921194*^9}, {
   3.416658910974884*^9, 3.416658932421504*^9}, {3.416751745265175*^9, 
   3.416751745755722*^9}, {3.416755659963922*^9, 3.416755661628138*^9}, {
   3.41675594884035*^9, 3.4167559513153143`*^9}, {3.416756102066709*^9, 
   3.4167561026915913`*^9}, {3.4168299378816223`*^9, 3.416829939290101*^9}, {
   3.4168405714154243`*^9, 3.416840571494437*^9}, {3.416841225816413*^9, 
   3.4168412263943787`*^9}, {3.416857278869384*^9, 3.416857278954383*^9}, {
   3.41685812037949*^9, 3.416858160650734*^9}, {3.416858210736155*^9, 
   3.416858210810607*^9}, {3.416960519287054*^9, 3.416960519365192*^9}, {
   3.417097668547432*^9, 3.4170976686431313`*^9}, {3.417103494763699*^9, 
   3.417103495453364*^9}, {3.417106372481276*^9, 3.41710637300121*^9}, {
   3.417114047461193*^9, 3.417114050752541*^9}, {3.5169846557169247`*^9, 
   3.516984660266355*^9}, 3.516984741301276*^9, {3.516993212803721*^9, 
   3.5169932215648947`*^9}, {3.517076863267969*^9, 3.517076863349361*^9}, {
   3.517079215331337*^9, 3.517079230950717*^9}, {3.517080469548251*^9, 
   3.5170804696729317`*^9}, {3.517165433460249*^9, 3.517165463091208*^9}, {
   3.517165520886183*^9, 3.517165593859571*^9}, {3.517165694146429*^9, 
   3.5171656949567833`*^9}},
 TextAlignment->Left,
 TextJustification->0],

Cell[TextData[{
 StyleBox["K",
  FontSlant->"Italic"],
 "-parametrized family of sextics, change of coordinates, and special \
76-maps"
}], "Text",
 CellChangeTimes->{{3.516984797598794*^9, 3.516984818283269*^9}, {
  3.516984860128631*^9, 3.516984905090228*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"sexticK", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "5"}], "-", 
        RowBox[{"3", " ", "\[ImaginaryI]", " ", 
         SqrtBox["15"]}], "+", 
        RowBox[{"9", " ", "K1", " ", 
         RowBox[{"(", 
          RowBox[{"15", "-", 
           RowBox[{"7", " ", "\[ImaginaryI]", " ", 
            SqrtBox["15"]}], "+", 
           RowBox[{"9", " ", "K1", " ", 
            RowBox[{"(", 
             RowBox[{"25", "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SqrtBox["15"]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"45", "+", 
                 RowBox[{"11", " ", "\[ImaginaryI]", " ", 
                  SqrtBox["15"]}]}], ")"}], " ", "K1"}]}], ")"}]}]}], 
          ")"}]}]}], ")"}], "/", "2421378056250000"}], "+", 
     RowBox[{
      FractionBox["1", "14946778125000"], 
      RowBox[{"(", 
       RowBox[{"425", "+", 
        RowBox[{"103", " ", "\[ImaginaryI]", " ", 
         SqrtBox["15"]}], "+", 
        RowBox[{"3", " ", "K1", " ", 
         RowBox[{"(", 
          RowBox[{"150", "+", 
           RowBox[{"386", " ", "\[ImaginaryI]", " ", 
            SqrtBox["15"]}], "+", 
           RowBox[{"9", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "25"}], "+", 
              RowBox[{"33", " ", "\[ImaginaryI]", " ", 
               SqrtBox["15"]}]}], ")"}], " ", "K1"}]}], ")"}]}], "-", 
        RowBox[{"1944", " ", "\[ImaginaryI]", " ", 
         SqrtBox["15"], " ", "K2"}]}], ")"}], " ", "z"}], "+", 
     RowBox[{
      FractionBox["1", "2214337500"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "152"}], "-", 
        RowBox[{"17", " ", "\[ImaginaryI]", " ", 
         SqrtBox["15"]}], "+", 
        RowBox[{"9", " ", "\[ImaginaryI]", " ", "K1", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"42", " ", "\[ImaginaryI]"}], "+", 
           RowBox[{"8", " ", 
            SqrtBox["15"]}], "+", 
           RowBox[{"3", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", "\[ImaginaryI]"}], "+", 
              SqrtBox["15"]}], ")"}], " ", "K1"}]}], ")"}]}]}], ")"}], " ", 
      SuperscriptBox["z", "2"]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"100", "+", 
         RowBox[{"57", " ", "\[ImaginaryI]", " ", 
          SqrtBox["15"]}], "+", 
         RowBox[{"9", " ", 
          RowBox[{"(", 
           RowBox[{"30", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["15"]}]}], ")"}], " ", "K1"}]}], ")"}], " ", 
       SuperscriptBox["z", "3"]}], "12301875"], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"11", "-", 
         RowBox[{"11", " ", "\[ImaginaryI]", " ", 
          SqrtBox["15"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "9"}], "-", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["15"]}]}], ")"}], " ", "K1"}]}], ")"}], " ", 
       SuperscriptBox["z", "4"]}], "24300"], "+", 
     RowBox[{
      FractionBox["1", "90"], " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"5", " ", "\[ImaginaryI]"}], "+", 
        SqrtBox["15"]}], ")"}], " ", 
      SuperscriptBox["z", "5"]}], "+", 
     SuperscriptBox["z", "6"]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tauK", "=", 
    RowBox[{"108", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "K1"}], "+", 
       RowBox[{"80", " ", 
        SuperscriptBox["K1", "2"]}], "+", 
       RowBox[{"816", " ", 
        SuperscriptBox["K1", "3"]}], "+", 
       RowBox[{"4376", " ", 
        SuperscriptBox["K1", "4"]}], "+", 
       RowBox[{"13084", " ", 
        SuperscriptBox["K1", "5"]}], "+", 
       RowBox[{"12312", " ", 
        SuperscriptBox["K1", "6"]}], "+", 
       RowBox[{"5616", " ", 
        SuperscriptBox["K1", "7"]}], "+", 
       RowBox[{"18", " ", "K2"}], "+", 
       RowBox[{"198", " ", "K1", " ", "K2"}], "+", 
       RowBox[{"954", " ", 
        SuperscriptBox["K1", "2"], " ", "K2"}], "-", 
       RowBox[{"198", " ", 
        SuperscriptBox["K1", "3"], " ", "K2"}], "-", 
       RowBox[{"5508", " ", 
        SuperscriptBox["K1", "4"], " ", "K2"}], "-", 
       RowBox[{"1944", " ", 
        SuperscriptBox["K1", "5"], " ", "K2"}], "-", 
       RowBox[{"162", " ", 
        SuperscriptBox["K2", "2"]}], "-", 
       RowBox[{"1944", " ", "K1", " ", 
        SuperscriptBox["K2", "2"]}], "-", 
       RowBox[{"1458", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"]}], "+", 
       RowBox[{"729", " ", 
        SuperscriptBox["K2", "3"]}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g76K", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "162"}], " ", 
     SubscriptBox["f", "K"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"150", " ", 
        SubsuperscriptBox["P", "K", "3"]}], "+", 
       RowBox[{"741", " ", 
        SubscriptBox["F", "K"], " ", 
        SubscriptBox["Q", "K"]}], "-", 
       RowBox[{"699", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"], " ", 
        SubsuperscriptBox["F", "K", "2"], " ", 
        SubsuperscriptBox["P", "K", "2"], " ", 
        SubscriptBox["t", "K"]}], "-", 
       RowBox[{"812", " ", 
        SuperscriptBox["K1", "4"], " ", 
        SuperscriptBox["K2", "4"], " ", 
        SubsuperscriptBox["F", "K", "4"], " ", 
        SubscriptBox["P", "K"], " ", 
        SubsuperscriptBox["t", "K", "2"]}], "-", 
       RowBox[{"67", " ", 
        SuperscriptBox["K1", "6"], " ", 
        SuperscriptBox["K2", "6"], " ", 
        SubsuperscriptBox["F", "K", "6"], " ", 
        SubsuperscriptBox["t", "K", "3"]}]}], ")"}]}], "-", 
    RowBox[{"18", " ", 
     SubscriptBox["p", "K"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "13500"}], " ", 
        SubscriptBox["P", "K"], " ", 
        SubscriptBox["Q", "K"]}], "+", 
       RowBox[{"11970", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"], " ", 
        SubscriptBox["F", "K"], " ", 
        SubsuperscriptBox["P", "K", "3"], " ", 
        SubscriptBox["t", "K"]}], "-", 
       RowBox[{"18", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"], " ", 
        SubsuperscriptBox["F", "K", "2"], " ", 
        SubscriptBox["Q", "K"], " ", 
        SubscriptBox["t", "K"]}], "+", 
       RowBox[{"13457", " ", 
        SuperscriptBox["K1", "4"], " ", 
        SuperscriptBox["K2", "4"], " ", 
        SubsuperscriptBox["F", "K", "3"], " ", 
        SubsuperscriptBox["P", "K", "2"], " ", 
        SubsuperscriptBox["t", "K", "2"]}], "+", 
       RowBox[{"1016", " ", 
        SuperscriptBox["K1", "6"], " ", 
        SuperscriptBox["K2", "6"], " ", 
        SubsuperscriptBox["F", "K", "5"], " ", 
        SubscriptBox["P", "K"], " ", 
        SubsuperscriptBox["t", "K", "3"]}], "-", 
       RowBox[{"19", " ", 
        SuperscriptBox["K1", "8"], " ", 
        SuperscriptBox["K2", "8"], " ", 
        SubsuperscriptBox["F", "K", "7"], " ", 
        SubsuperscriptBox["t", "K", "4"]}]}], ")"}]}], "+", 
    RowBox[{
     SubscriptBox["q", "K"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "577125"}], " ", 
        SubsuperscriptBox["Q", "K", "2"]}], "-", 
       RowBox[{"70200", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"], " ", 
        SubsuperscriptBox["P", "K", "5"], " ", 
        SubscriptBox["t", "K"]}], "+", 
       RowBox[{"517752", " ", 
        SuperscriptBox["K1", "2"], " ", 
        SuperscriptBox["K2", "2"], " ", 
        SubscriptBox["F", "K"], " ", 
        SubsuperscriptBox["P", "K", "2"], " ", 
        SubscriptBox["Q", "K"], " ", 
        SubscriptBox["t", "K"]}], "-", 
       RowBox[{"232848", " ", 
        SuperscriptBox["K1", "4"], " ", 
        SuperscriptBox["K2", "4"], " ", 
        SubsuperscriptBox["F", "K", "2"], " ", 
        SubsuperscriptBox["P", "K", "4"], " ", 
        SubsuperscriptBox["t", "K", "2"]}], "+", 
       RowBox[{"591336", " ", 
        SuperscriptBox["K1", "4"], " ", 
        SuperscriptBox["K2", "4"], " ", 
        SubsuperscriptBox["F", "K", "3"], " ", 
        SubscriptBox["P", "K"], " ", 
        SubscriptBox["Q", "K"], " ", 
        SubsuperscriptBox["t", "K", "2"]}], "-", 
       RowBox[{"66028", " ", 
        SuperscriptBox["K1", "6"], " ", 
        SuperscriptBox["K2", "6"], " ", 
        SubsuperscriptBox["F", "K", "4"], " ", 
        SubsuperscriptBox["P", "K", "3"], " ", 
        SubsuperscriptBox["t", "K", "3"]}], "+", 
       RowBox[{"48672", " ", 
        SuperscriptBox["K1", "6"], " ", 
        SuperscriptBox["K2", "6"], " ", 
        SubsuperscriptBox["F", "K", "5"], " ", 
        SubscriptBox["Q", "K"], " ", 
        SubsuperscriptBox["t", "K", "3"]}], "-", 
       RowBox[{"5244", " ", 
        SuperscriptBox["K1", "8"], " ", 
        SuperscriptBox["K2", "8"], " ", 
        SubsuperscriptBox["F", "K", "6"], " ", 
        SubsuperscriptBox["P", "K", "2"], " ", 
        SubsuperscriptBox["t", "K", "4"]}], "+", 
       RowBox[{"564", " ", 
        SuperscriptBox["K1", "10"], " ", 
        SuperscriptBox["K2", "10"], " ", 
        SubsuperscriptBox["F", "K", "8"], " ", 
        SubscriptBox["P", "K"], " ", 
        SubsuperscriptBox["t", "K", "5"]}], "+", 
       RowBox[{"76", " ", 
        SuperscriptBox["K1", "12"], " ", 
        SuperscriptBox["K2", "12"], " ", 
        SubsuperscriptBox["F", "K", "10"], " ", 
        SubsuperscriptBox["t", "K", "6"]}]}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.416063283518963*^9, 3.416063289102275*^9}, {
   3.416589804042733*^9, 3.416589817361652*^9}, {3.4166582455240088`*^9, 
   3.416658254322838*^9}, 3.4166582916541843`*^9}],

Cell[TextData[{
 "Select a random value for ",
 StyleBox["K",
  FontSlant->"Italic"],
 "; obtain a specific sextic"
}], "Text",
 CellChangeTimes->{{3.516984916504527*^9, 3.5169849706300783`*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"KChoose", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RandomComplex", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "100"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "\[ImaginaryI]"}], ")"}]}], ",", 
         RowBox[{"100", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "\[ImaginaryI]"}], ")"}]}]}], "}"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "iterPrecision"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "2"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KChoose", "//", "N"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"sexticKChoose", "=", 
   RowBox[{
    RowBox[{"sexticK", "/.", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"K1", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"K2", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sexticKChoose", "//", "N"}]}], "Input",
 CellChangeTimes->{{3.4168527826818943`*^9, 3.416852785373664*^9}, {
  3.417096471367826*^9, 3.417096481757792*^9}, {3.4171136236774073`*^9, 
  3.417113629083967*^9}, {3.517076753190641*^9, 3.517076753721377*^9}, {
  3.517165322493112*^9, 3.5171653330590553`*^9}}],

Cell["\<\
Compute specific basic Valentiner invariants and equivariants\
\>", "Text",
 CellChangeTimes->{{3.516985033615917*^9, 3.516985056777433*^9}, {
  3.516985121937456*^9, 3.516985123127121*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FKChoose", "=", 
   RowBox[{
    RowBox[{"FK", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"K1", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"K2", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"aPhi", "=", 
   RowBox[{"-", 
    FractionBox["1", "20250"]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"aPsi", "=", 
   FractionBox["1", "24300"]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"aChi", "=", 
    RowBox[{"-", 
     FractionBox["1", "4860"]}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"beta", "=", 
    RowBox[{"-", "1458"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PhiKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"aPhi", "*", 
      RowBox[{"Det", "[", 
       RowBox[{"hess", "[", 
        RowBox[{"FKChoose", ",", "wVec"}], "]"}], "]"}]}], "//", "sp"}], "//",
     "Expand"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PsiKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"aPsi", "*", "\[IndentingNewLine]", 
      RowBox[{"Det", "[", 
       RowBox[{"bordHess", "[", 
        RowBox[{"FKChoose", ",", "PhiKChoose", ",", "wVec"}], "]"}], "]"}]}], 
     "//", "sp"}], "//", "Expand"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ChiKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"aChi", "*", "\[IndentingNewLine]", 
      RowBox[{"Det", "[", 
       RowBox[{"jacob", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"FKChoose", ",", "PhiKChoose", ",", "PsiKChoose"}], "}"}], 
         ",", "wVec"}], "]"}], "]"}]}], "//", "sp"}], "//", "Expand"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"psiKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"cross", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"FKChoose", ",", "PhiKChoose"}], "}"}], ",", "wVec"}], "]"}], 
     "//", "sp"}], "//", "Expand"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"psiKChooseMap", "[", "x_", "]"}], ":=", 
  RowBox[{"funcEval", "[", 
   RowBox[{"psiKChoose", ",", "wVec", ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"phiKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"cross", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"FKChoose", ",", "PsiKChoose"}], "}"}], ",", "wVec"}], "]"}], 
     "//", "sp"}], "//", "Expand"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fKChoose", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"cross", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"PhiKChoose", ",", "PsiKChoose"}], "}"}], ",", "wVec"}], 
       "]"}], "//", "sp"}], "//", "Expand"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauKChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"tauK", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"K1", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", 
        RowBox[{"K2", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}], "//", 
    "Expand"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.416421632425665*^9, 3.416421633386993*^9}, {
   3.4166583447575893`*^9, 3.416658354153442*^9}, {3.416658497753064*^9, 
   3.4166585232070293`*^9}, {3.4166857119727793`*^9, 3.416685719218532*^9}, {
   3.416751767981518*^9, 3.416751791896617*^9}, {3.41676326010181*^9, 
   3.416763261571868*^9}, 3.416763299239094*^9, {3.4168716620230017`*^9, 
   3.416871695354218*^9}, 3.416960565611492*^9, {3.5170741991094427`*^9, 
   3.517074199517988*^9}, {3.5170768091483097`*^9, 3.517076810040091*^9}}],

Cell["Compute doubly-critical 31-map (might take several minutes)", "Text",
 CellChangeTimes->{{3.5169850679526587`*^9, 3.516985084212627*^9}, {
  3.5169851353501368`*^9, 3.51698513576271*^9}, {3.5170740977496347`*^9, 
  3.517074112366803*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"g76KChoose", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"g76K", "//.", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SubscriptBox["F", "K"], "\[Rule]", "FKChoose"}], ",", 
        RowBox[{
         SubscriptBox["P", "K"], "\[Rule]", "PhiKChoose"}], ",", 
        RowBox[{
         SubscriptBox["Q", "K"], "\[Rule]", "PsiKChoose"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         SubscriptBox["q", "K"], "\[Rule]", "psiKChoose"}], ",", 
        RowBox[{
         SubscriptBox["p", "K"], "\[Rule]", "phiKChoose"}], ",", 
        RowBox[{
         SubscriptBox["f", "K"], "\[Rule]", "fKChoose"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         SubscriptBox["t", "K"], "\[Rule]", "tauKChoose"}], ",", 
        RowBox[{"K1", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", 
        RowBox[{"K2", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}], "//", 
    "Expand"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"g31KChoose", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"PolynomialQuotient", "[", 
        RowBox[{
         RowBox[{"g76KChoose", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", "ChiKChoose", ",", "w1"}], 
        "]"}], "//", "sp"}], "//", "Expand"}], "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "3"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.416658383364552*^9, 3.416658474836755*^9}, {
   3.416658538882847*^9, 3.416658543178906*^9}, {3.4166751843449593`*^9, 
   3.416675185160364*^9}, {3.4166763586899853`*^9, 3.416676361557068*^9}, {
   3.41668535281996*^9, 3.416685355454814*^9}, {3.416685738143435*^9, 
   3.416685744717576*^9}, {3.41668581612151*^9, 3.416685817251582*^9}, 
   3.416755984996439*^9, {3.4167617229708138`*^9, 3.416761725967972*^9}, {
   3.416871718072988*^9, 3.4168717187164907`*^9}, 3.5169849934949493`*^9}],

Cell["Compute root-selecting functions", "Text",
 CellChangeTimes->{{3.516985105617032*^9, 3.516985114059115*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"B1KChoose", "=", 
   RowBox[{
    RowBox[{"B1K", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"K1", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{"K2", "\[Rule]", 
        RowBox[{"KChoose", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"B2KChoose", "=", 
    RowBox[{
     RowBox[{"B2K", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"K1", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", 
        RowBox[{"K2", "\[Rule]", 
         RowBox[{"KChoose", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], "//", "sp"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"J1KChooseEval", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"B1KChoose", "/", "FKChoose"}], "/.", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"wVec", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
       RowBox[{"x", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "3"}], "}"}]}], "]"}]}], "//", 
   "sp"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J2KChooseEval", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"B2KChoose", "/", 
     RowBox[{"FKChoose", "^", "2"}]}], "/.", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"wVec", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
       RowBox[{"x", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "3"}], "}"}]}], "]"}]}], "//", "sp"}]}]}], "Input",
 CellChangeTimes->{{3.4166858730779867`*^9, 3.416685880429185*^9}, {
  3.416686229731051*^9, 3.416686236006695*^9}, {3.416686287747388*^9, 
  3.416686388903281*^9}, {3.416686479014225*^9, 3.4166865060538*^9}, {
  3.416871833739296*^9, 3.416871838487692*^9}, {3.417108137814953*^9, 
  3.417108183388895*^9}, {3.417541082236938*^9, 3.417541086260618*^9}, {
  3.517076878903336*^9, 3.517076884083786*^9}}],

Cell["\<\
Algorithm
Map to be iterated.\
\>", "Text",
 CellChangeTimes->{{3.517082951925075*^9, 3.517082979576235*^9}},
 FontFamily->"Helvetica",
 FontSize->16,
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fIter", " ", "=", "g31KChoose"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fIterMap", "[", "x_", "]"}], ":=", 
   RowBox[{"fIter", "/.", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"wVec", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", 
       RowBox[{"x", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "3"}], "}"}]}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sexticRootList", "=", 
   RowBox[{"{", "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.416781447705224*^9, 3.416781497489544*^9}, {
   3.416830967863224*^9, 3.416830970853115*^9}, {3.4169613065253763`*^9, 
   3.416961307241144*^9}, {3.417120094948584*^9, 3.417120095676159*^9}, {
   3.417540961670533*^9, 3.4175409694998503`*^9}, {3.417543235585725*^9, 
   3.417543236393598*^9}, 3.5170791336780577`*^9}],

Cell["\<\
I) Random start (normalized)
Iteration begins-- approximate a 45 - line\
\>", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, {
  3.5170830900271*^9, 3.5170830961157303`*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pRandom", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"RandomComplex", "[", 
        RowBox[{
         RowBox[{"10", "^", "i"}], "*", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"1", "+", "\[ImaginaryI]"}], ")"}]}], ",", 
           RowBox[{"1", "+", "\[ImaginaryI]"}]}], "}"}]}], "]"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "3"}], "}"}]}], "]"}], "//", 
     RowBox[{"norm", "[", "1", "]"}]}], "//", "sp"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"p0", "=", "pRandom"}], ";"}], "\n", 
 RowBox[{"p0", "//", "N"}]}], "Input",
 CellChangeTimes->{{3.4167555733533087`*^9, 3.4167556513224573`*^9}, {
   3.416858807711755*^9, 3.416858817853569*^9}, {3.416870296330785*^9, 
   3.416870346893283*^9}, {3.416870851071883*^9, 3.4168709055387487`*^9}, {
   3.4169619653552628`*^9, 3.416962002361014*^9}, {3.417098636997778*^9, 
   3.4170986500704517`*^9}, {3.41711983568149*^9, 3.417119836239965*^9}, {
   3.417120322978545*^9, 3.417120364096106*^9}, {3.417120481561404*^9, 
   3.4171204820434227`*^9}, {3.417129727384851*^9, 3.41712972809533*^9}, 
   3.517075336192481*^9, {3.51707778795685*^9, 3.5170778109071093`*^9}, {
   3.517081588653843*^9, 3.517081643429076*^9}, {3.517082316225562*^9, 
   3.517082330619623*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"normVar", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"numIt", "=", "10"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fIt1", "=", 
    RowBox[{"numIterNorm", "[", 
     RowBox[{"fIterMap", ",", "p0", ",", "normVar", ",", "numIt"}], "]"}]}], 
   ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{"fIt1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "numIt"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->{{3.416688133683278*^9, 3.416688133770941*^9}, {
   3.41678153992679*^9, 3.416781799962677*^9}, {3.416781913558765*^9, 
   3.416781914288612*^9}, {3.416960785720984*^9, 3.416960786519156*^9}, {
   3.4169611155427094`*^9, 3.416961116128831*^9}, {3.417098134786643*^9, 
   3.417098135538319*^9}, {3.417098297773212*^9, 3.417098298567668*^9}, {
   3.4171036606995897`*^9, 3.417103680360231*^9}, 3.417103722998667*^9, 
   3.41710391040981*^9, {3.417104486621607*^9, 3.417104486904255*^9}, {
   3.417105723382201*^9, 3.417105724053952*^9}, {3.417106284275693*^9, 
   3.417106284763672*^9}, {3.41710664186274*^9, 3.4171066419544687`*^9}, {
   3.417107745197007*^9, 3.417107745711907*^9}, {3.417107789336133*^9, 
   3.417107791114438*^9}, {3.417107845473012*^9, 3.4171078460225563`*^9}, {
   3.4171079363109818`*^9, 3.417107937787532*^9}, {3.417112512918621*^9, 
   3.4171125136431217`*^9}, {3.4171131880750237`*^9, 3.417113202031896*^9}, {
   3.4171201064074078`*^9, 3.417120106675508*^9}, {3.417120547787661*^9, 
   3.4171205484291*^9}, {3.4175408974471188`*^9, 3.417540903254347*^9}, {
   3.41754191640786*^9, 3.417541916933236*^9}, {3.4175420225628433`*^9, 
   3.417542022968629*^9}, {3.4175420560840483`*^9, 3.417542056448542*^9}, {
   3.417542129101749*^9, 3.417542129140699*^9}, {3.417542223508045*^9, 
   3.417542237149*^9}, {3.5169852272936487`*^9, 3.516985227373692*^9}, {
   3.5169854383780537`*^9, 3.5169854620148087`*^9}, {3.516986772210223*^9, 
   3.516986772798934*^9}, {3.516986953610798*^9, 3.516986953691635*^9}, {
   3.517075386805264*^9, 3.517075386933918*^9}, {3.517075442161322*^9, 
   3.517075442242846*^9}, {3.517077417387144*^9, 3.517077418361524*^9}, {
   3.517082335677189*^9, 3.517082337233741*^9}}],

Cell[TextData[{
 "II) Find a point near a 45-line\n\nThis is the delicate piece.  Look for \
the point--indexed by L45ItVal--in the trajectory of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "0"], TraditionalForm]]],
 " just before ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["X", "K"], "(", 
     SubscriptBox["p", "0"], ")"}], " "}], TraditionalForm]]],
 " vanishes."
}], "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.5170822618483477`*^9, 
   3.517082303472002*^9}, {3.517082345751809*^9, 3.517082518055787*^9}, {
   3.517083103705309*^9, 3.517083105010314*^9}, {3.517166383433653*^9, 
   3.517166395170702*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"L45ItVal", "=", "5"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"fIt1", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "-", 
      RowBox[{"fIt1", "[", 
       RowBox[{"[", 
        RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "L45ItVal", ",", 
       RowBox[{"L45ItVal", "+", "1"}]}], "}"}]}], "]"}], "//", "N"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"funcEval", "[", 
   RowBox[{"ChiKChoose", ",", "wVec", ",", 
    RowBox[{"fIt1", "[", 
     RowBox[{"[", "L45ItVal", "]"}], "]"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0HssFAAcB/BzlEfKZWhipMO8ZoVyKeXOKqHWWJStVinO49QRWkiLzJlH
UYvyOnIlj/I+8jiPao7dlNDyGs5zZeoPW5vovr8/fvv89d33u5/F9Vt+N5kM
BoOnOnjMbIgrjFvm6g+p8aBNX7yBmcsKN7V2wRxuOHVmwup+Gbn+IiofjhwU
krqLvcXQ5pNBKWRuaTXCIbdtLfC4S6wMvmQ+Jz3yNuWQE6s3AM3s/0zBfnPW
NHRifJiHfaJuMt4ipdxCZVem7WtoaL+rGj7kdJF8hX8TlOREtUGR5FAvnPQ4
SZrrR3yGOgaJJKs+Us1bpeD0ijpMDey+B406ryVDU03LYajFFo7AGe2EaZgX
vEpKG2yX4djl1hVYqF1p56NSXFpF5u+YdYVrYiVpcueCL9yMDiRlSS3BUDHf
TWrMhvDhfls+mZjhKIDhuUfJ6KbwNMr/iyDTxquy4CthLVmXEVoAM83DSaV8
VgzfJKyS0sVvEqidpCR/Oo2+h5yB7+Rhd0Uz9de1S6Fzup8MBsUY99D+2sZN
GCJu1PBVeTf7404YWdJProaVGEHrNaM9MEvgwYYBTE8yOS3FAXJbH5GPa/7m
QkXMBuk8rRDDcckXkhUqqISWAUKycIJVD5f0h5tgQ4VeB3TfyyYnBnx6oOzM
JVI+OTcAz/FWyUme8VfYpmlKPnA3GYXFeWbkhvTENHRt5pKj5+VzcOGJaAGW
3Wf8grsZ6qRRzdIa9CrvWodvcwOMz6q0Sw4iA/YtW0HDot/W8Ir3ph08kKNr
D8eeRrvG4Y8eyRzYUenAg0q+nieUVmx5QeY7TW9oNSjwgz8KWP5wkK1zEU7p
i8jZsKRg6HgqhywzmY+Amb6JkdCtteg23H6knryqdyMdFs4siqBWe0c2XPOU
k77K4WfQy3Ce/A9lqeX1
  "]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L45PtNear", "=", 
   RowBox[{"fIt1", "[", 
    RowBox[{"[", "L45ItVal", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"L45PtNear", "//", "N"}]}], "Input",
 CellChangeTimes->{{3.417109649855463*^9, 3.417109760891603*^9}, 
   3.417109916573557*^9, {3.417109957569707*^9, 3.41710995875111*^9}, {
   3.417110002561391*^9, 3.417110002675802*^9}, {3.417110052841525*^9, 
   3.41711010396586*^9}, {3.417110973044879*^9, 3.417111041379643*^9}, {
   3.417111461709009*^9, 3.4171114806263857`*^9}, {3.417112172096868*^9, 
   3.4171122199983*^9}, {3.4171122636536827`*^9, 3.417112265292684*^9}, {
   3.417112350795231*^9, 3.417112421336297*^9}, {3.417112970776763*^9, 
   3.417113018631894*^9}, {3.417113063732359*^9, 3.417113066773863*^9}, {
   3.4171131186461554`*^9, 3.417113128013393*^9}, {3.4171142347757998`*^9, 
   3.417114264211585*^9}, {3.417114325814021*^9, 3.417114326392087*^9}, {
   3.417114533330947*^9, 3.417114533455399*^9}, {3.417119336129736*^9, 
   3.417119366236658*^9}, {3.4171194586310673`*^9, 3.417119505391643*^9}, {
   3.417119592876552*^9, 3.417119594017763*^9}, {3.417119626691308*^9, 
   3.417119627359248*^9}, {3.4171196665847273`*^9, 3.417119684455703*^9}, {
   3.417119772153344*^9, 3.417119782532906*^9}, {3.417120185398581*^9, 
   3.417120186034534*^9}, {3.4171205268833447`*^9, 3.417120532549387*^9}, {
   3.417120587325317*^9, 3.417120588018792*^9}, {3.417128301668397*^9, 
   3.417128302352354*^9}, {3.417128385233691*^9, 3.4171284277257767`*^9}, {
   3.4171284732537737`*^9, 3.417128487630475*^9}, {3.4171286219292583`*^9, 
   3.4171286678923388`*^9}, {3.417128708554109*^9, 3.417128742610465*^9}, {
   3.417131184328018*^9, 3.417131184928423*^9}, {3.4171312479906187`*^9, 
   3.417131321341798*^9}, {3.4171313570963373`*^9, 3.4171313757152357`*^9}, {
   3.417135708473424*^9, 3.417135787580084*^9}, {3.4171358250187197`*^9, 
   3.417135857982648*^9}, {3.4171359130398006`*^9, 3.4171359263151903`*^9}, {
   3.4171360016395884`*^9, 3.4171360246624603`*^9}, {3.4171361320548143`*^9, 
   3.41713613261057*^9}, {3.417136326731472*^9, 3.417136327451808*^9}, {
   3.4171363798667183`*^9, 3.417136390437447*^9}, {3.417541152029242*^9, 
   3.4175411666569967`*^9}, {3.417541235984899*^9, 3.417541240175647*^9}, {
   3.4175413239733353`*^9, 3.417541324297243*^9}, {3.4175413854612617`*^9, 
   3.417541400248122*^9}, 3.41754155247962*^9, {3.417541728114875*^9, 
   3.417541800342257*^9}, {3.4175418632702427`*^9, 3.417541955657309*^9}, 
   3.417541999581687*^9, {3.417542443774816*^9, 3.4175424454622087`*^9}, {
   3.417542498292985*^9, 3.417542510299856*^9}, {3.417542680434161*^9, 
   3.417542716729464*^9}, {3.4175427706654243`*^9, 3.417542771600582*^9}, {
   3.4175428505414143`*^9, 3.417542850627314*^9}, {3.417543081455092*^9, 
   3.4175431116365633`*^9}, {3.417543148059106*^9, 3.417543197783371*^9}, {
   3.417543254851383*^9, 3.417543277541842*^9}, {3.4175433535269747`*^9, 
   3.4175433673941193`*^9}, {3.5169852853652067`*^9, 3.516985323805113*^9}, 
   3.51698550555275*^9, 3.516985687745172*^9, {3.5169859707787333`*^9, 
   3.516985971022917*^9}, {3.516986245955287*^9, 3.51698626013665*^9}, {
   3.5169869777570143`*^9, 3.516986978246027*^9}, {3.5169871438578033`*^9, 
   3.5169871439812*^9}, {3.516993055898991*^9, 3.516993057238287*^9}, 
   3.517079111471488*^9, {3.517079748944508*^9, 3.517079749230805*^9}, {
   3.51707994588308*^9, 3.5170799460465717`*^9}, {3.5170801779436502`*^9, 
   3.517080178336722*^9}, {3.5170802585287237`*^9, 3.5170802843485107`*^9}, {
   3.517080331093156*^9, 3.517080331174675*^9}, {3.517080902056521*^9, 
   3.517080902220084*^9}, 3.517082131582008*^9}],

Cell[TextData[{
 "III) Find a point near the corresponding 45-point.  Apply the blow-down map \
",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Psi]", "K"], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.517082618527645*^9}, {3.517083116657564*^9, 
   3.51708311842912*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p45Near", "=", 
   RowBox[{
    RowBox[{"psiKChooseMap", "[", "L45PtNear", "]"}], "//", 
    RowBox[{"norm", "[", "1", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"p45Near", "//", "N"}]}], "Input",
 CellChangeTimes->{{3.417109649855463*^9, 3.417109760891603*^9}, 
   3.417109916573557*^9, {3.417109957569707*^9, 3.41710995875111*^9}, {
   3.417110002561391*^9, 3.417110002675802*^9}, {3.417110052841525*^9, 
   3.41711010396586*^9}, {3.417110973044879*^9, 3.417111041379643*^9}, {
   3.417111461709009*^9, 3.4171114806263857`*^9}, {3.417112172096868*^9, 
   3.4171122199983*^9}, {3.4171122636536827`*^9, 3.417112265292684*^9}, {
   3.417112350795231*^9, 3.417112421336297*^9}, {3.417112970776763*^9, 
   3.417113018631894*^9}, {3.417113063732359*^9, 3.417113066773863*^9}, {
   3.4171131186461554`*^9, 3.417113128013393*^9}, {3.4171142347757998`*^9, 
   3.417114264211585*^9}, {3.417114325814021*^9, 3.417114326392087*^9}, {
   3.417114533330947*^9, 3.417114533455399*^9}, {3.417119336129736*^9, 
   3.417119366236658*^9}, {3.4171194586310673`*^9, 3.417119505391643*^9}, {
   3.417119592876552*^9, 3.417119594017763*^9}, {3.417119626691308*^9, 
   3.417119627359248*^9}, {3.4171196665847273`*^9, 3.417119684455703*^9}, {
   3.417119772153344*^9, 3.417119782532906*^9}, {3.417120185398581*^9, 
   3.417120186034534*^9}, {3.4171205268833447`*^9, 3.417120532549387*^9}, {
   3.417120587325317*^9, 3.417120588018792*^9}, {3.417128301668397*^9, 
   3.417128302352354*^9}, {3.417128385233691*^9, 3.4171284277257767`*^9}, {
   3.4171284732537737`*^9, 3.417128487630475*^9}, {3.4171286219292583`*^9, 
   3.4171286678923388`*^9}, {3.417128708554109*^9, 3.417128742610465*^9}, {
   3.417131184328018*^9, 3.417131184928423*^9}, {3.4171312479906187`*^9, 
   3.417131321341798*^9}, {3.4171313570963373`*^9, 3.4171313757152357`*^9}, {
   3.417135708473424*^9, 3.417135787580084*^9}, {3.4171358250187197`*^9, 
   3.417135857982648*^9}, {3.4171359130398006`*^9, 3.4171359263151903`*^9}, {
   3.4171360016395884`*^9, 3.4171360246624603`*^9}, {3.4171361320548143`*^9, 
   3.41713613261057*^9}, {3.417136326731472*^9, 3.417136327451808*^9}, {
   3.4171363798667183`*^9, 3.417136390437447*^9}, {3.417541152029242*^9, 
   3.4175411666569967`*^9}, {3.417541235984899*^9, 3.417541240175647*^9}, {
   3.4175413239733353`*^9, 3.417541324297243*^9}, {3.4175413854612617`*^9, 
   3.417541400248122*^9}, 3.41754155247962*^9, {3.417541728114875*^9, 
   3.417541800342257*^9}, {3.4175418632702427`*^9, 3.417541955657309*^9}, 
   3.417541999581687*^9, {3.417542443774816*^9, 3.4175424454622087`*^9}, {
   3.417542498292985*^9, 3.417542510299856*^9}, {3.417542680434161*^9, 
   3.417542716729464*^9}, {3.4175427706654243`*^9, 3.417542771600582*^9}, {
   3.4175428505414143`*^9, 3.417542850627314*^9}, {3.417543081455092*^9, 
   3.4175431116365633`*^9}, {3.417543148059106*^9, 3.417543197783371*^9}, {
   3.417543254851383*^9, 3.417543277541842*^9}, {3.4175433535269747`*^9, 
   3.4175433673941193`*^9}, {3.5169852853652067`*^9, 3.516985323805113*^9}, 
   3.51698550555275*^9, 3.516985687745172*^9, {3.5169859707787333`*^9, 
   3.516985971022917*^9}, {3.516986245955287*^9, 3.51698626013665*^9}, {
   3.5169869777570143`*^9, 3.516986978246027*^9}, {3.5169871438578033`*^9, 
   3.5169871439812*^9}, {3.516993055898991*^9, 3.516993057238287*^9}, 
   3.517079111471488*^9, {3.517079748944508*^9, 3.517079749230805*^9}, {
   3.51707994588308*^9, 3.5170799460465717`*^9}, {3.5170801779436502`*^9, 
   3.517080178336722*^9}, {3.5170802585287237`*^9, 3.5170802843485107`*^9}, {
   3.517080331093156*^9, 3.517080331174675*^9}, {3.517080902056521*^9, 
   3.517080902220084*^9}, {3.517082131582008*^9, 3.517082133662711*^9}}],

Cell["IV) Compute the trajectory of the near 45-point.", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.517083122200139*^9, 
   3.517083123924418*^9}, {3.5170831610791597`*^9, 3.517083161892655*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"normVar", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"numIt", "=", "5"}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fIt", "=", 
    RowBox[{"numIterNorm", "[", 
     RowBox[{"fIterMap", ",", "p45Near", ",", "normVar", ",", "numIt"}], 
     "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{"fIt", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "numIt"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->{{3.417109773384095*^9, 3.4171097872080307`*^9}, {
   3.41710983080643*^9, 3.417109854009547*^9}, {3.417112450303652*^9, 
   3.417112468062442*^9}, {3.417114369137519*^9, 3.4171143707057457`*^9}, {
   3.417119438638468*^9, 3.417119447320693*^9}, {3.4171287454003696`*^9, 
   3.417128746568984*^9}, {3.417543125572463*^9, 3.417543125656321*^9}, {
   3.5169933234252777`*^9, 3.516993324125296*^9}, {3.516993393843562*^9, 
   3.516993393929448*^9}, 3.517079170739669*^9, {3.517079764768929*^9, 
   3.5170797772879677`*^9}, {3.517080198801901*^9, 3.5170802007901077`*^9}, {
   3.517080755621951*^9, 3.517080755726571*^9}}],

Cell["Check for convergence.", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.517083122200139*^9, 
   3.517083123924418*^9}, {3.5170831610791597`*^9, 3.517083161892655*^9}, {
   3.5171666070140057`*^9, 3.5171666127041683`*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"fIt", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "-", 
     RowBox[{"fIt", "[", 
      RowBox[{"[", 
       RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "N"}]], "Input"],

Cell["\<\
V) Should converge in a small number of iteratiions.  If not, iterate several \
more times.\
\>", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.5170827336361713`*^9, 
   3.517082771781865*^9}, {3.5170831278579483`*^9, 3.517083131103417*^9}, 
   3.517083173827682*^9},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pCont", "=", 
   RowBox[{"fIt", "[", 
    RowBox[{"[", 
     RowBox[{"-", "1"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"normVar", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"numIt", "=", "4"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fIt", "=", 
    RowBox[{"numIterNorm", "[", 
     RowBox[{"fIterMap", ",", "pCont", ",", "normVar", ",", "numIt"}], 
     "]"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{"fIt", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "numIt"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->{{3.416688240598547*^9, 3.416688241043674*^9}, {
  3.416756173160285*^9, 3.41675617456535*^9}, {3.416756236019436*^9, 
  3.416756236382669*^9}, {3.4167818175140333`*^9, 3.416781822893135*^9}, {
  3.416857922794608*^9, 3.41685792338583*^9}, {3.416871896976782*^9, 
  3.416871897991301*^9}, {3.416960927614818*^9, 3.4169609412493677`*^9}, {
  3.5169863231506147`*^9, 3.516986342247759*^9}, {3.516986448039764*^9, 
  3.5169864526857023`*^9}, {3.51698701417557*^9, 3.516987028171624*^9}, {
  3.51699289091162*^9, 3.516992905966701*^9}, {3.5169934016241503`*^9, 
  3.516993401711865*^9}, {3.517075687486232*^9, 3.517075687568656*^9}, {
  3.5170773761126013`*^9, 3.517077376193519*^9}, {3.517080235050558*^9, 
  3.51708023513104*^9}, {3.5170803778749332`*^9, 3.517080384087716*^9}}],

Cell["Check for convergence.", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.517083122200139*^9, 
   3.517083123924418*^9}, {3.5170831610791597`*^9, 3.517083161892655*^9}, {
   3.5171666070140057`*^9, 3.5171666127041683`*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"fIt", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "-", 
     RowBox[{"fIt", "[", 
      RowBox[{"[", 
       RowBox[{"i", "-", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.417114423908201*^9, 3.417114450148609*^9}, {
  3.516986327625505*^9, 3.516986328279833*^9}}],

Cell[TextData[{
 "VI) After convergence, compute a candidate pair of roots to the selected \
sextic.  Check that the sextic vanishes to high order.\n\nIf this fails, you \
used a point too close to an intersection of 45-lines--where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Psi]", "K"], TraditionalForm]]],
 " blows up.  There are two options.\n\n1) Return to II) and decrease the \
value of L45ItVal.\n\n2) Return to I) and select a new initial condition."
}], "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.5170827336361713`*^9, 
   3.517082871109829*^9}, {3.517083041222021*^9, 3.5170830654308558`*^9}, {
   3.517083135731477*^9, 3.517083193897987*^9}, {3.517083436384788*^9, 
   3.5170834596682577`*^9}, {3.51708349497361*^9, 3.517083586662237*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rootFind", "=", 
   RowBox[{"fIt", "[", 
    RowBox[{"[", 
     RowBox[{"-", "1"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rootSum", "=", 
   RowBox[{
    RowBox[{"J1KChooseEval", "[", "rootFind", "]"}], "//", "sp"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"rootProd", "=", 
   RowBox[{
    RowBox[{"J2KChooseEval", "[", "rootFind", "]"}], "//", "sp"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rootSum", "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rootProd", "//", "N"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sexticRoot", "=", 
   RowBox[{
    RowBox[{"z", "/.", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"z", "^", "2"}], "-", 
        RowBox[{"rootSum", "*", "z"}], "+", "rootProd"}], "\[Equal]", "0"}], 
      "]"}]}], "//", "sp"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"sexticRoot", "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"funcEval", "[", 
      RowBox[{"sexticKChoose", ",", 
       RowBox[{"{", "z", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"sexticRoot", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "}"}]}], "]"}], "//", "sp"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "2"}], "}"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->{{3.416770458987424*^9, 3.416770472114406*^9}, {
   3.416832386442429*^9, 3.4168324467625093`*^9}, {3.416842350677395*^9, 
   3.4168423550386877`*^9}, {3.4168580502509003`*^9, 3.416858091652891*^9}, {
   3.416858176775668*^9, 3.416858177419195*^9}, {3.4168585542113523`*^9, 
   3.416858560057475*^9}, 3.416858627177603*^9, {3.4168705104495993`*^9, 
   3.41687053963262*^9}, {3.416870668350071*^9, 3.416870669435713*^9}, {
   3.416872027702385*^9, 3.416872029240456*^9}, {3.4168720622163877`*^9, 
   3.416872092540196*^9}, 3.4169609822491083`*^9, {3.417103981261106*^9, 
   3.417103983949592*^9}, 3.417104078638888*^9, 3.4171044546013517`*^9, {
   3.4171132517465153`*^9, 3.4171132523218603`*^9}, {3.417129317476816*^9, 
   3.4171293782229843`*^9}}],

Cell["\<\
VII) Build the list of roots to the chosen sextic.  Look for more roots by \
returning to I) to select a new initial condition.\
\>", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.5170827336361713`*^9, 
   3.517082902887841*^9}, {3.517083141094371*^9, 3.51708314224137*^9}, 
   3.517083181908531*^9, {3.517166802778963*^9, 3.51716686483974*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[{
 RowBox[{"sexticRootList", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{"sexticRootList", ",", "sexticRoot"}], "]"}], "//", 
     "\[IndentingNewLine]", "N"}], "//", "Flatten"}], "//", 
   "Union"}]}], "\[IndentingNewLine]", 
 RowBox[{"sexticRootList", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.417096943487241*^9, 3.417096960753438*^9}, {
  3.4170974639336767`*^9, 3.417097464854925*^9}, {3.516985656492996*^9, 
  3.51698567046944*^9}, {3.5170781512489*^9, 3.517078157886175*^9}}],

Cell["\<\
Compare to Mathematica\[CloseCurlyQuote]s solution.\
\>", "Text",
 CellChangeTimes->{{3.516985807273074*^9, 3.516985820446114*^9}, 
   3.516985878967285*^9, {3.5169928090699368`*^9, 3.516992811516519*^9}, {
   3.517077462268461*^9, 3.517077463731844*^9}, 3.517077766440839*^9, {
   3.5170820782806807`*^9, 3.517082078895486*^9}, {3.51708221012523*^9, 
   3.517082223520667*^9}, {3.517082541595743*^9, 3.517082555569138*^9}, {
   3.517082607183329*^9, 3.51708267154169*^9}, {3.5170827336361713`*^9, 
   3.517082871109829*^9}, {3.517082908898446*^9, 3.517082929478648*^9}},
 FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
 RowBox[{
  RowBox[{"z", "/.", 
   RowBox[{"NSolve", "[", 
    RowBox[{"sexticKChoose", "\[Equal]", "0"}], "]"}]}], "//", "N"}]], "Input",\

 CellChangeTimes->{{3.416832635822205*^9, 3.41683264549667*^9}}]
},
WindowSize->{847, 958},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 197, 5, 35, "Text"],
Cell[745, 27, 671, 12, 91, "Input"],
Cell[1419, 41, 138, 4, 35, "Text"],
Cell[1560, 47, 7648, 218, 928, "Input"],
Cell[9211, 267, 334, 10, 35, "Text"],
Cell[9548, 279, 10002, 268, 1023, "Input"],
Cell[19553, 549, 267, 9, 35, "Text"],
Cell[19823, 560, 1445, 38, 226, "Input"],
Cell[21271, 600, 272, 7, 35, "Text"],
Cell[21546, 609, 3756, 115, 658, "Input"],
Cell[25305, 726, 316, 6, 35, "Text"],
Cell[25624, 734, 2077, 50, 253, "Input"],
Cell[27704, 786, 186, 4, 35, "Text"],
Cell[27893, 792, 2199, 63, 199, "Input"],
Cell[30095, 857, 191, 7, 59, "Text"],
Cell[30289, 866, 964, 24, 145, "Input"],
Cell[31256, 892, 241, 6, 57, "Text"],
Cell[31500, 900, 1430, 32, 145, "Input"],
Cell[32933, 934, 2280, 42, 172, "Input"],
Cell[35216, 978, 907, 22, 108, "Text"],
Cell[36126, 1002, 1727, 41, 145, "Input"],
Cell[37856, 1045, 3661, 52, 64, "Input"],
Cell[41520, 1099, 682, 15, 36, "Text"],
Cell[42205, 1116, 3725, 53, 64, "Input"],
Cell[45933, 1171, 601, 8, 34, "Text"],
Cell[46537, 1181, 1182, 27, 172, "Input"],
Cell[47722, 1210, 629, 9, 35, "Text"],
Cell[48354, 1221, 384, 13, 36, "Input"],
Cell[48741, 1236, 680, 12, 34, "Text"],
Cell[49424, 1250, 1470, 34, 199, "Input"],
Cell[50897, 1286, 629, 9, 35, "Text"],
Cell[51529, 1297, 499, 15, 36, "Input"],
Cell[52031, 1314, 1162, 19, 220, "Text"],
Cell[53196, 1335, 2137, 53, 280, "Input"],
Cell[55336, 1390, 758, 12, 58, "Text"],
Cell[56097, 1404, 545, 12, 91, "Input"],
Cell[56645, 1418, 612, 10, 35, "Text"],
Cell[57260, 1430, 219, 6, 36, "Input"]
}
]
*)

(* End of internal cache information *)
